Subject: Re: bug#49376: Feature request (poll): default function for pretty printing when called interactively

From: dalanicolai <[email-masked]>
Date: Tue, 6 Jul 2021 14:44:47 +0200

I agree it is not that important. But now I do wonder what then, in general,
would provide a more readable way for printing lisp expressions.

On Sun, 4 Jul 2021 at 15:40, Lars Ingebrigtsen <[email-masked]> wrote:

> [email-masked] writes:
>
> > So I was wondering if it would be reasonable to add a basic output
> > function for this to the Emacs core.
>
> I can't quite remember writing any command that would pretty-print a
> Lisp expression when called interactively -- when a command displays
> information to the user, pp-ing a Lisp expression is usually not the
> most readable way.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>